package com.cf.imes.module.system.enums.process;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

/**
 * {@linke ProcessTypeEnum} 的单元测试
 *
 * @author Gqr
 * @since 2025/12/11 15:37
 */
public class ProcessTypeEnumTest {
    @Test
    void test(){
        assertEquals(0, ProcessTypeEnum.TYPE_ZERO.getStatus());
        assertEquals(1, ProcessTypeEnum.TYPE_ONE.getStatus());
        assertEquals(2, ProcessTypeEnum.TYPE_TWO.getStatus());
        assertEquals(3, ProcessTypeEnum.TYPE_THREE.getStatus());
        assertEquals(4, ProcessTypeEnum.TYPE_FOUR.getStatus());
        assertEquals(5, ProcessTypeEnum.TYPE_FIVE.getStatus());
        assertEquals(6, ProcessTypeEnum.TYPE_SIX.getStatus());
        assertEquals(7, ProcessTypeEnum.TYPE_SEVEN.getStatus());
        assertEquals(8, ProcessTypeEnum.TYPE_EIGHT.getStatus());
    }
}
